```@meta
CurrentModule = Krotov
```

# Krotov.jl

Implementation of [Krotov's method of optimal control](https://arxiv.org/abs/1008.5126) enhanced with automatic differentiation.

Part of [`QuantumControl.jl`](https://github.com/JuliaQuantumControl/QuantumControl.jl#readme) and the [JuliaQuantumControl](https://github.com/JuliaQuantumControl) organization.

[Krotov.jl](https://github.com/JuliaQuantumControl/Krotov.jl) is a port of the [`krotov` Python package](https://github.com/qucontrol/krotov#readme), adapted to the API  of [`QuantumControl.jl`](https://github.com/JuliaQuantumControl/QuantumControl.jl#readme).


## Contents

### Overview

```@contents
Pages = [
    "overview.md",
]
Depth = 1
```

### Examples

```@contents
Pages = [
    "examples/simple_state_to_state.md",
    "examples/rho_3states.md",
    "examples/state_to_state_parametrizations.md",
    "examples/perfect_entanglers.md",
]
Depth = 1
```

### API

```@contents
Pages = [
    "api.md",
]
Depth = 1
```

## History

See the [Releases](https://github.com/JuliaQuantumControl/Krotov.jl/releases) on Github.
